class CourseList < ApplicationRecord
  has_many :courses
  has_many :question_banks
  has_many :homework_banks
  has_many :exercise_banks
  has_many :gtask_banks
  has_many :gtopic_banks
  belongs_to :user

  validate :validate_sensitive_string

  def validate_sensitive_string
    verify_sensitive_content(name, '课程名称')
  end
end
